Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLListBoxBaseItem Class Reference

`#include <sdllistboxbaseitem.h>`

Inheritance diagram for SDLListBoxBaseItem

[legend]
Collaboration diagram for SDLListBoxBaseItem:

[legend]
List of all members.

## Public Methods
| SDLListBoxBaseItem (int height, void* userdata = NULL)
| ~SDLListBoxBaseItem ()
void | SetUserData (void* userdata)
void* | GetUserData ()
bool | IsSelected ()
void | Select (bool select = true)
int | Height ()
SDLListBox* | GetParent ()
| Get the parentwidget of a widget. More...
## Protected Methods
void | eventMouseEnter ()
void | eventMouseLeave ()
bool | eventMouseButtonUp (const SDL_MouseButtonEvent* button)
| Overridable Eventhandler for a SDL_MouseButtonEvent message. More...
## Protected Attributes
void* | my_userdata
bool | my_selected
bool | my_hover
int | my_height

## Constructor & Destructor Documentation

SDLListBoxBaseItem::SDLListBoxBaseItem ( | int height,
| void * userdata = NULL )

SDLListBoxBaseItem::~SDLListBoxBaseItem ( | )

## Member Function Documentation

SDLListBox * SDLListBoxBaseItem::GetParent ( | )

| Get the parentwidget of a widget. Returns: a pointer to the parentwidget or NULL if there is no parentwidget Reimplemented from SDLWidget.

void * SDLListBoxBaseItem::GetUserData ( | )

int SDLListBoxBaseItem::Height ( | )

| Reimplemented from SDLWidget.

bool SDLListBoxBaseItem::IsSelected ( | )

void SDLListBoxBaseItem::Select ( | bool select = true )

void SDLListBoxBaseItem::SetUserData ( | void * userdata )

bool SDLListBoxBaseItem::eventMouseButtonUp ( | const SDL_MouseButtonEvent * button )`[protected, virtual]`

  | Overridable Eventhandler for a SDL_MouseButtonEvent message. This handler is called when a mouse button is released. The default implementation returns 'false' which indicates that this message is not processed by this object. Parameters:
  button | SDL_MouseButtonEvent message
Returns: Notifies the message pump if this message is processed by this object or it should be routed to the next message receiver. Reimplemented from SDLMessageObject.

void SDLListBoxBaseItem::eventMouseEnter ( | )`[protected, virtual]`

| Reimplemented from SDLWidget.

void SDLListBoxBaseItem::eventMouseLeave ( | )`[protected, virtual]`

| Reimplemented from SDLWidget.

## Member Data Documentation

int SDLListBoxBaseItem::my_height`[protected]`

| Definition at line 77 of file sdllistboxbaseitem.h.

bool SDLListBoxBaseItem::my_hover`[protected]`

| Definition at line 76 of file sdllistboxbaseitem.h.

bool SDLListBoxBaseItem::my_selected`[protected]`

| Definition at line 75 of file sdllistboxbaseitem.h.

void * SDLListBoxBaseItem::my_userdata`[protected]`

| Definition at line 74 of file sdllistboxbaseitem.h.

The documentation for this class was generated from the following file:

- sdllistboxbaseitem.h